[Python] webdriver.Chrome(‘chromedriver’) 에러 대처

난 단지 selenum을 학습하고 싶었을뿐인데, 예외가 발생했다.
물론, 크롬의 버전을 확인했고, 크롬드라이버도 해당 버전에 맞추어 설치했음에도 불구하고 이런 사태가 벌어졌다.

from selenium import webdriver

driver = webdriver.Chrome('chromedriver')

에러내용은 아래와 같았다.


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/-/Documents/dev/Python/webscraping_basic/13_selenium.py", line 3, in <module>
    driver = webdriver.Chrome('chromedriver')
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/selenium/webdriver/chrome/webdriver.py", line 73, in __init__
    self.service.start()
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/selenium/webdriver/common/service.py", line 81, in start
    raise WebDriverException(
selenium.common.exceptions.WebDriverException: Message: 'chromedriver' executable needs to be in PATH. Please see https://sites.google.com/a/chromium.org/chromedriver/home

몇가지 해결책들이 있었지만, 우선 정품상태를 좋아하기 때문에 커맨드로 뭔가 땡겨오는 것들은 선호하지 않아서 크롬을 일단 최신버전으로 업그레이드 해보기로 했다.

다시 드라이버를 설치해보고, 증상이 동일하길래 에러문구를 자세히 보았다…
아무리봐도 ./ 패스가 맞는데도 동작을 안하길래 절대경로로 실행 시켰더니 잘 동작하였다.

왜 상대경로로 동작을 하지 않았을까?

문제는 경로 문제였음.

from selenium import webdriver

driver = webdriver.Chrome('/Users/-/Documents/dev/Python/webscraping_basic/chromedriver')  # Optional argument, if not specified will search path.

“[Python] webdriver.Chrome(‘chromedriver’) 에러 대처”에 대한 2개의 생각

답글 남기기